Cyberduck Mountain Duck CLI

#518 closed defect (wontfix)

Cyberduck doesn't work if placed into a subfolder of "Applications"

Reported by: roeme !at_ roeme _dot! ch Owned by: dkocher
Priority: normal Milestone:
Component: interface Version: 2.6
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

Cyberduck shows the same symptoms on my PB as described in #187. However, there are some notable differences:

  • J2SE 5.0 Rel. 4 installed properly. Java Preferences are set; Environment defaults to J2SE 5.0
  • FileVault is activated.
  • Cyberduck works fine when launched directly in the downloaded dmg.
  • Also, it works in the system's root, in /Applications and in my Homefolder (or any of it's subfolders).
  • Cyberduck does NOT work if it is put into a subfolder of /Applications.

Firstly, i suspected FileVault or perhaps the rights of the parent folder of cyberduck to be responsible, but they aren't. The bug must reside somewhere in the interface code, as the console shows the following errors:

===== Wednesday, June 28 , 2006 18:40:01 PM Europe/Zurich =====
2006-06-28 18:43:21.687 Cyberduck[396] Unknown class `ch.cyberduck.ui.cocoa.CDMainController' in nib file, using `NSObject' instead.
2006-06-28 18:43:21.706 Cyberduck[396] Could not connect the action donateMenuClicked: to target of class NSObject
2006-06-28 18:43:21.706 Cyberduck[396] Could not connect the action licenseMenuClicked: to target of class NSObject
2006-06-28 18:43:21.706 Cyberduck[396] Could not connect the action preferencesMenuClicked: to target of class NSObject
2006-06-28 18:43:21.706 Cyberduck[396] Could not connect the action feedbackMenuClicked: to target of class NSObject
2006-06-28 18:43:21.706 Cyberduck[396] Could not connect the action newDownloadMenuClicked: to target of class NSObject
2006-06-28 18:43:21.707 Cyberduck[396] Could not connect the action newBrowserMenuClicked: to target of class NSObject
2006-06-28 18:43:21.707 Cyberduck[396] Could not connect the action newBrowserMenuClicked: to target of class NSObject
2006-06-28 18:43:21.707 Cyberduck[396] Could not connect the action downloadBookmarksFromDotMacClicked: to target of class NSObject
2006-06-28 18:43:21.707 Cyberduck[396] Could not connect the action uploadBookmarksToDotMacClicked: to target of class NSObject
2006-06-28 18:43:21.707 Cyberduck[396] Could not connect the action helpMenuClicked: to target of class NSObject
2006-06-28 18:43:21.708 Cyberduck[396] Could not connect the action bugreportMenuClicked: to target of class NSObject
2006-06-28 18:43:21.708 Cyberduck[396] Could not connect the action aboutMenuClicked: to target of class NSObject

Change History (2)

comment:1 Changed on Jun 28, 2006 at 5:02:24 PM by roeme !at_ roeme _dot! ch

Problem resolved. The subfolder's name contained a somewhat "illegal" character (to be more specific, a forward slash). Don't know if the bug resides inside Cyberduck or Apple's Framework. Other Applications in this subfolder do work, though.

After changing the name, Cyberduck is now working.

comment:2 Changed on Jul 1, 2006 at 2:09:20 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

Bug in the Cocoa Frameworks.

Note: See TracTickets for help on using tickets.
swiss made software